;; EDS-Todo
;; Copyright (C) 2004 Andy Wingo

;; This program is free software; you can redistribute it and/or    
;; modify it under the terms of the GNU General Public License as   
;; published by the Free Software Foundation; either version 2 of   
;; the License, or (at your option) any later version.              
;;                                                                  
;; This program is distributed in the hope that it will be useful,  
;; but WITHOUT ANY WARRANTY; without even the implied warranty of   
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
;; GNU General Public License for more details.                     
;;                                                                  
;; You should have received a copy of the GNU General Public License
;; along with this program; if not, contact:
;;
;; Free Software Foundation           Voice:  +1-617-542-5942
;; 59 Temple Place - Suite 330        Fax:    +1-617-542-2652
;; Boston, MA  02111-1307,  USA       gnu@gnu.org

;;; Commentary:
;;
;;; Code:

(define-module (eds-todo)
  :use-module (gnome gtk)
  :use-module (gnome glade)
  :use-module (gnome evolution-data-server)
  :use-module (eds-todo config)
  :export (eds-todo-init))

(define glade-xml (glade-xml-new glade-file))
(define main-widget (get-widget glade-xml "main-widget"))
(define tree-view (get-widget glade-xml "treeview"))

(define (setup-treeview)
  ;; blow away any old state so we can reload the func
  (map (lambda (c) (remove-column tree-view c)) (get-columns tree-view))
  (let ((model (make-eds-todo-tree-model))
        (selection (get-selection tree-view))
        (chk-col (make <gtk-tree-view-column>))
        (chl-col-renderer (make <gtk-cell-renderer-toggle>))
        (name-col (make <gtk-tree-view-column>))
        (name-col-renderer (make <gtk-cell-renderer-text> :editable #t)))
    (set-model tree-view model)
    (pack-start chk-col chk-col-renderer #f)
    (append-column tree-view chk-col)
    (add-attribute chk-col chk-col-renderer "active" 0)
    (pack-start name-col name-col-renderer #t)
    (append-column tree-view name-col)
    (add-attribute chk-col chk-col-renderer "text" 1)
    (connect name-col-renderer 'edited
             (lambda (col path newtext)
               foo))))

(define (animate-ui)
  (setup-treeview)
  ;(connect (get-widget glade-xml "upload_button") 'clicked on-upload)
  )

(define (eds-todo-init)
  (animate-ui)
  (show main-window))
